ConfigFileLoader (Apache Tomcat 9.0.75 API Documentation)

Package org.apache.tomcat.util.file

## Class ConfigFileLoader

- java.lang.Object
- - org.apache.tomcat.util.file.ConfigFileLoader

-     public class ConfigFileLoader
      extends java.lang.Object

  This class is used to obtain `InputStream`s for configuration files from a given location String. This allows greater flexibility than these files having to be loaded directly from a file system.

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.io.InputStream` | `getInputStream​(java.lang.String location)` | Deprecated.
    `static ConfigurationSource` | `getSource()` |
    `static java.net.URI` | `getURI​(java.lang.String location)` | Deprecated.
    `static void` | `setSource​(ConfigurationSource source)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getSource

          public static final ConfigurationSource getSource()

    - #### setSource

          public static final void setSource​(ConfigurationSource source)

    - #### getInputStream

          @Deprecated
          public static java.io.InputStream getInputStream​(java.lang.String location)
                                                    throws java.io.IOException

      Deprecated.
      Load the resource from the specified location.
      Parameters:
        `location` - The location for the resource of interest. The location may be a URL or a file path. Relative paths will be resolved against CATALINA_BASE.
      Returns:
        The InputStream for the given resource. The caller is responsible for closing this stream when it is no longer used.
      Throws:
        `java.io.IOException` - If an InputStream cannot be created using the provided location

    - #### getURI

          @Deprecated
          public static java.net.URI getURI​(java.lang.String location)

      Deprecated.